
QGIS Application - Bug report #20498

Crash on loading a vector layer

2018-11-15 08:06 AM - Gayathri Manikutty

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28318

Description

User Feedback

When I tried to load a vector layer, QGIS crashes

Report Details

Crash ID: d31201ac8c85c6292aa1c26369555da2743fb22a

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

Ordinal67 :

CoGetProcessIdentifier :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

NeverProvidedByJunction :

NeverProvidedByJunction :

StateRepoVerbsCache_GetContextMenuVerbs :

StateRepoVerbsCache_GetContextMenuVerbs :

Ordinal2007 :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-11-15 08:22 AM - Gayathri Manikutty

- File L9.zip added

Hi,

I am new to QGIS and I am trying to open a new project and add vector layers that are in the attached zip file.

I have a Windows 10 computer and I just dowloaded QGIZ 3.4 Madeira today and tried using it for the first time. If I go to the directory using windows

explorer and click on a shp file, say lakes.shp - it opens fine in QGIS (I have associated all the .shp files to be opened with qgis-bin.exe. But when I do

Layer-> Add Layer -> Add vector layer

and then in the "Source" dialog box, click on ... to browse to the L9 directory which contains all the shp files, QGIS crashes and recommends me to do the

bug reporting.

If there is some other information I need to provide to you, do let me know.

With best regards

Gayathri

#2 - 2018-11-15 08:39 AM - Gayathri Manikutty

- File bug_report2.png added

- File bug_report1.png added

- File bug_report0.png added

Attached screen sots - bug_report0.png and bug_report1.png  gives the screenshots for you to see how I am getting the crash. The crash is reproducible -

I have tried about 10-15 times and it has crashed every single time.

I have also found a workaround. If I use the browser and add the .shp files, it doesn't crash. bug_report2.png shows how I worked around the problem for

now.

Since I have a workaround, you could lower the priority of the issue to Medium or Low.
With best regards

Gayathri

#3 - 2018-11-15 04:52 PM - Giovanni Manghi

- Status changed from Open to Feedback

no crashes here

try 3.4.1

try using a new/clean profile.

#4 - 2018-11-16 02:31 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#5 - 2018-11-16 02:31 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed

Files

L9.zip 112 KB 2018-11-15 Gayathri Manikutty

bug_report0.png 245 KB 2018-11-15 Gayathri Manikutty

bug_report1.png 300 KB 2018-11-15 Gayathri Manikutty

bug_report2.png 223 KB 2018-11-15 Gayathri Manikutty
